Репозиторий Sisyphus
Последнее обновление: 1 октября 2023 | Пакетов: 18631 | Посещений: 36657043
en ru br
Репозитории ALT
S:0.19-alt1
5.1: 0.11-alt2
4.1: 0.11-alt1
4.0: 0.11-alt1
www.altlinux.org/Changes

Группа :: Разработка/Perl
Пакет: perl-UNIVERSAL-require

 Главная   Изменения   Спек   Патчи   Sources   Загрузить   Gear   Bugs and FR  Repocop 

Текущая версия: 0.11-alt1
Время сборки: 22 ноября 2006, 13:06 ( 900.8 недели назад )
Размер архива: 7961 b

Домашняя страница:   http://www.cpan.org

Лицензия: Artistic
О пакете: require() modules from a variable
Описание:

If you've ever had to do this...

   eval "require $module";

to get around the bareword caveats on require(), this module is for
you.  It creates a universal require() class method that will work
with every Perl module and its secure.  So instead of doing some
arcane eval() work, you can do this:

   $module->require;

It doesn't save you much typing, but it'll make alot more sense to
someone who's not a ninth level Perl acolyte.

Текущий майнтейнер: Vitaly Lipatov

Список всех майнтейнеров, принимавших участие
в данной и/или предыдущих сборках пакета:

Список rpm-пакетов, предоставляемый данным srpm-пакетом:

  • perl-UNIVERSAL-require
ACL:
     
    дизайн и разработка: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
    текущий майнтейнер: Michael Shigorin